function hvar = compute_H_var_estimate(est, nj)
% Compute estimate for the variance of H based on
% Abry, Gonçalves & Flandrin, 1995

J = est.param_est.j2 - est.param_est.j1;

if est.param_est.wtype == 0
    nj1 = 2 * nj(1);

    num = 2 ^ J * (J ^ 2 - 6 * J + 17) - (J ^ 2 + 6 * J + 17);
    den = J ^ 2 * (J ^ 2 - 1) ^ 2;
    hvar = 144 / nj1 / (log (2) ^ 2) * num / den;
elseif est.param_est.wtype == 1

    nj1 = 2 * nj(1); %nj(est.param_est.j1);

    den = 1 - 2 ^ (-J - 1) * (J ^ 2 + 4) + 2 ^ (-2 * J);
    hvar = 2 / nj1 / (log (2) ^ 2) * (1 - 2 ^ (-J)) / den;
else
    hvar = []
end