function [X,zetaq] = mrw(H,lambda,L,nbp,q,seed) ;
% produce a MRW as in Bacry, Delour, Muzy
% nbp should be 2^j + 1
% X is the increment process the walk is cumsum(X) ;
% zetaq = (H+lambda^2)*q-lambda^2*q.^2/2 ;
% function [X,zetaq] = mrw(H,lambda,L,nbp,q,seed) ;

% if ~exist('seed','var')
%   seed(1) = sum(100*clock) ;
%   seed(2) = round(100*rand*seed(1)) ;
%   seed(3) = round(100*rand*seed(2)) ;
% end

%--- produce fGn_H
if H == 1/2
    %randn('state',seed(3)) ;
    x1 = randn(1,nbp) ;
else
    [B,x1] = synthfbmcircul(nbp,H) ;
end

%--- produce gaussian RW with given power law cov
%------ Synthese de la covariance
n = 0:1:L-1 ;
r = ones(1,nbp) ;
r(n+1) = L./(1+n) ;
r = lambda.^2*log(r) ;
%------ Insertion dans matrice circulante :
rz = [r fliplr(r(2:nbp-1))] ;
clear r
%------ Calcul des racines de la matrice circulante (=Fourier sur rz)
L = real(fft(rz)) ;
clear rz
%------ Generation bruit blanc
%randn('state',seed(1)) ;
wr =  randn(1,2*nbp-2) ;
%randn('state',seed(2)) ;
wi = randn(1,2*nbp-2) ;
w = wr + i.*wi ;
clear wr wi
w2 = sqrt(L./(2*nbp-2)).*w ;
clear L w
z = fft(w2) ;
clear w2
x2 = real(z(1:nbp)) ;
clear z
%--- Compute MRW increments
X = x1.*exp(x2) ;
%--- Compute theoretical zetaq of the walk (cumsum(X))
zetaq = (H+lambda^2)*q-lambda^2*q.^2/2 ;
% figure(1) ; plot(cumsum(X)) ; figure(2) ; plot(q,q*(1+2*lambda^2)*H,'k--',q,zetaq,'r-o') ; grid