function [reader] = create_db_reader_mc (nmc, fun_synth)
%function [reader] = create_db_reader_mc (nmc, fun_synth)
%
% Create sequentially nmc realizations of the process created by fun_synth.
%
% Returns a structure with fields:
%    - fun: closure that synthesis the data
%    - ndata: number of realizations
%
% Roberto Leonarduzzi
% 2016-07-05

    function [data] = fun_tmp ()
        if nmc <= 0
            data = [];
            return
        end
        data = fun_synth ();
        nmc = nmc - 1;
    end

    reader.fun = @fun_tmp;
    reader.ndata = nmc;
end
