function [reader] = create_db_reader_slidewin (data, len, noverlap)
% Creates a function fun that returns sliding windows from data, of length len
% and using an overlap of noverlap samples.
% When no more windows can be made, fun returns an empty array.
%
% Roberto Leonarduzzi
% 2016-07-05

    if nargin < 3
        noverlap = 0;
    end

    iw = 0;  % Window counter

    ndata = floor (length (data) / ((len - noverlap) + len));

    function [win] = fun_tmp ()
        if iw * (len - noverlap) + len > length (data)
            win = [];
            return
        end

        iw = iw + 1;
        win = data ((1 : len) + (iw - 1) * (len - noverlap));
    end

    reader.fun = @fun_tmp;
    reader.ndata = ndata;
end
