function [data] = load_wrapper (filename)
% Wrapper of load that returns an array with the data read from the file,
% regardless of the output of load.
%
% If load returns a struct, it assumes the mat file has just one variable, so
% it reads the first field.
%
% Roberto Leonarduzzi
% 2016-07-05

    tmp = load (filename);
    if isstruct (tmp)
        fields = fieldnames (tmp);
        data = tmp.(fields{1});
    else
        data = tmp;
    end
end
