function plot_logscale_ci (ax, plot_data, param_est, param_bs)
% Plots confidence intervals for logscale diagrams in gca.
% If no axes is provided, uses gca.
%

if ~isfield (plot_data, 'yy_bs') || isempty (plot_data.yy_bs)
    return
end

[ci_lo, ci_hi] = get_bs_ci_limits (plot_data.yy_bs, param_bs);

% Make sure cis have same size as data (note all of them are vectors)
ci_lo = reshape (ci_lo, size (plot_data.yy));
ci_hi = reshape (ci_hi, size (plot_data.yy));

jj = 1 : length (plot_data.yy);
jj_bs = plot_data.idx_bs;

errorbar (ax, jj(jj_bs), plot_data.yy(jj_bs), ...
          abs (ci_lo(jj_bs) - plot_data.yy(jj_bs)), ...
          abs (ci_hi(jj_bs) - plot_data.yy(jj_bs)), 'r');