function plot_logscale_superimposed (ax, plot_data, param_est, param_bs)
% Superimposes logscale plots of bootstrap replications or database
% realizations.

if ~isfield (plot_data, 'yy_bs') || isempty (plot_data.yy_bs)
    return
end

n_bs = size (plot_data.yy_bs, 1);
jj_bs = plot_data.idx_bs;
jj = 1 : length (plot_data.yy);

yy_bs = squeeze (plot_data.yy_bs);

% Concatenate all functions separated with NaNs and plot a single time. This
% is MUCH faster than making individual plots for each one.
yy_bs(:, end + 1) = NaN;
yy_bs_all = reshape (yy_bs', 1, []);
jj_bs_all = repmat ([jj NaN], 1, n_bs);

plot (ax, jj_bs_all, yy_bs_all, 'Color', [1 0.4 0.4])
