function plot_xy_ci (ax, plot_data, param_est, param_bs)

xx = plot_data.xx;  % x data
yy = plot_data.yy;  % y data

if isfield (plot_data, 'xx_bs') && ~isempty (plot_data.xx_bs) 
    doBS_x = true;
    xx_bs = plot_data.xx_bs;
else
    doBS_x = false;
end
if isfield (plot_data, 'yy_bs') && ~isempty (plot_data.yy_bs) 
    doBS_y = true;
    yy_bs = plot_data.yy_bs;
else
    doBS_y = false;
end


%-- 1: plot confidence intervals, x
if doBS_x
    [ci_lo, ci_hi] = get_bs_ci_limits (xx_bs, param_bs);
    for iq = 1 : length (xx)
        plot ([ci_lo(iq) ci_hi(iq)], yy(iq) * [1 1], 'r')
    end
end

%-- 2: plot confidence intervals, y
if doBS_y
    [ci_lo, ci_hi] = get_bs_ci_limits (yy_bs, param_bs);
    for iq = 1 : length (xx)
        plot (xx(iq) * [1 1], [ci_lo(iq) ci_hi(iq)], 'r')
    end
end