function plot_xy_superimposed (ax, plot_data, param_est, param_bs)

% Check which field has replications
if isfield (plot_data, 'xx_bs') && ~isempty (plot_data.xx_bs)
    xx_bs = plot_data.xx_bs;
else
    xx_bs = repmat (plot_data.xx, param_bs.n_resamp_1, 1);
end

if isfield (plot_data, 'yy_bs') && ~isempty (plot_data.yy_bs)
    yy_bs = plot_data.yy_bs;
else
    yy_bs = repmat (plot_data.yy, param_bs.n_resamp_1, 1);
end

% Concatenate all functions separated with NaNs and plot a single time. This
% is MUCH faster than making individual plots for each one.
xx_bs(:, end + 1) = NaN;
xx_bs_all = reshape (xx_bs', 1, []);
yy_bs(:, end + 1) = NaN;
yy_bs_all = reshape (yy_bs', 1, []);

plot (ax, xx_bs_all, yy_bs_all, 'Color', [1 0.4 0.4])
