% Simple demo on the use of MF_BS_tool.
% Does p-leader based multifractal analysis and illustrates basic
% features.
%
% Roberto Leonarduzzi
% 2016-07-04

clear all;
clc;

% Add root folder of toolbox to path (subfolders are added automatically)
addpath ..

% Add examplesest to path
addpath ../demo/WLBMF_example_data

% Select example data
        load mrw07005n32768;
        N = length (data);



% Setup analysis

% Create an object of class MF_BS_tool_inter to perform analysis
mf_obj = MF_BS_tool_inter;
mf_obj.nwt = 3;
mf_obj.method_mrq = [1 2];    % 1: Wavelet coefficients, 2: wavelet leaders
mf_obj.p = .25;
mf_obj.q       = build_q_log (0.01, 5, 10);
mf_obj.cum     = 1;
mf_obj.gamint = -0.4;
mf_obj.fig_num = 100;
mf_obj.verbosity = 0;

mf_obj.j1      = 5;
mf_obj.j2      = 12;
[~,~,~,coef1] = mf_obj.analyze (data);
cid = mf_obj.get_cid ();
sf_cp(1,:) = mf_obj.logstat.LWT.est(cid, :);
cp(1) = mf_obj.est.LWT.t(cid);

disp('1 done');

mf_obj.j1      = 3;
mf_obj.j2      = 9;
mf_obj.analyze ();
sf_cp(2,:) = mf_obj.logstat.LWT.est(cid, :);
cp(2) = mf_obj.est.LWT.t(cid);

disp('2 done');

mf_obj.j1      = 3;
mf_obj.j2      = 9;
[~,~,~,coef2] = mf_obj.analyze (data);
sf_cp(3,:) = mf_obj.logstat.LWT.est(cid, :);
cp(3) = mf_obj.est.LWT.t(cid);

disp('3 done');

mf_obj.j1      = 5;
mf_obj.j2      = 12;
mf_obj.analyze ();
sf_cp(4,:) = mf_obj.logstat.LWT.est(cid, :)
cp(4) = mf_obj.est.LWT.t(cid)

disp('4 done');
