%- Test for MF_BS_tool_singul.
% 
% Test the values of logstat and est that were computed with a canonical version
% and stored.
%
% RFL, January 2016

clear all

%===============================================================================
% PATH TO VERSION THAT WILL BE TESTED
%====================================
addpath /Users/roberto/Dropbox/postdoc/PLBMF_tool_singul_git
pathMF_BS_tool_singul

%===============================================================================
% Test for p-exponent, p = \infty

% Load reference data
reference = load ('test_mrw1d_dx_px_p0.mat');

[coef, leader] = DxPx1d (reference.data, reference.param_est);

% Make tests for coefficients:
result = true;
clear tf
for j = 1 : length (coef.value)
    tf(j) = all (coef.value{j} == reference.coef(j).value_noabs);
end
result = result & all (tf);

if result
    fprintf ('Wavelet coefficients: no differences were found\n')
else
    fprintf ('Wavelet coefficients: FOUND DIFFERENCES!!!!\n')
    tf
end


% Make tests for leaders:
result = true;
clear tf
for j = 1 : length (coef.value)
    tf(j) = all (leader.value{j} == reference.leader(j).value);
end
result = result & all (tf);

if result
    fprintf ('Wavelet leaders: no differences were found\n')
else
    fprintf ('Wavelet leaders: FOUND DIFFERENCES!!!!\n')
    tf
end

%===============================================================================

%===============================================================================
% Test for p-exponent, p = 2, without correction

% Load reference data
reference = load ('test_mrw1d_dx_px_p2_nocorr.mat');

[coef, leader] = DxPx1d (reference.data, reference.param_est);

% Make tests for leaders:
result = true;
clear tf
for j = 1 : length (coef.value)
    tf(j) = all (leader.value{j} == reference.leader(j).valuep);
end
result = result & all (tf);

if result
    fprintf ('2-leaders, no correction: no differences were found\n')
else
    fprintf ('2-leaders, no correction: FOUND DIFFERENCES!!!!\n')
    tf
end
%===============================================================================

%===============================================================================
% Test for p-exponent, p = 2, with correction

% Load reference data
reference = load ('test_mrw1d_dx_px_p2.mat');

[coef, leader] = DxPx1d (reference.data, reference.param_est);

% Make tests for leaders:
result = true;
clear tf
for j = 1 : length (coef.value)
    tf(j) = all (leader.value{j} == reference.leader(j).valuep);
end
result = result & all (tf);

if result
    fprintf ('2-leaders: no differences were found\n')
else
    fprintf ('2-leaders: FOUND DIFFERENCES!!!!\n')
    tf
end
%===============================================================================
