%- Test for MFA_BS_compute_structure_functions
%
% Test the values of est.
%
% RFL, February 2016

%*******************************************************************************
% NOTES:
%   - Differences in LWT.h_min are due to known and documented differences in
%     logstat.LWT.supcoef.
%   - Differences in DWT.h_max are due to  the same reason but for mincoef:
%    old logstat had the same mincoef for both LWT and DWT.
%*******************************************************************************


%===============================================================================
% PATH TO VERSION THAT WILL BE TESTED
%====================================
addpath /Users/roberto/Dropbox/postdoc/PLBMF_tool_singul_git
pathMF_BS_tool_singul

fields_compare = {'t', 'LEst', 'aest', 'Q', 'p0', 'p0noint', 'h_min', 'h_max'};

%===============================================================================
% Test for p-exponent, p = \infty

% Load reference data
reference = load ('test_mrw_p0.mat');

param_est.nwt = reference.mf_obj.nwt;
param_est.sym    = reference.mf_obj.sym;
param_est.j1_ini   = reference.mf_obj.j1_ini;
param_est.gamint = reference.mf_obj.gamint;
param_est.delta_gam   = reference.mf_obj.delta_gam;
param_est.delta_p = reference.mf_obj.delta_p;
param_est.type_exponent   = reference.mf_obj.type_exponent;
param_est.j1     = reference.mf_obj.j1;
param_est.j2     = reference.mf_obj.j2;
param_est.wtype  = reference.mf_obj.wtype;
param_est.estimate_select    = reference.mf_obj.estimate_select;
param_est.cum    = reference.mf_obj.cum;
param_est.q      = reference.mf_obj.q;
param_est.p     = reference.mf_obj.p;
param_est.plead_corr    = reference.mf_obj.plead_corr;
param_est.P0est.q0=1e-2;
param_est.P0est.q1=1e2;
param_est.P0est.NR=10;

[coef, leader] = DxPx1d (reference.data, param_est);

logstat.DWT = MFA_BS_compute_logstat (coef, param_est);
logstat.LWT = MFA_BS_compute_logstat (leader, param_est);

est.DWT = MFA_BS_regrest (logstat.DWT, param_est);
est.LWT = MFA_BS_regrest (logstat.LWT, param_est);

fprintf ('============================================================\n')
[tf, filename] = compare_structs ('est.DWT', est.DWT, ...
                                  'reference.mf_obj.est.DWT', reference.mf_obj.est.DWT, ...
                                  11, fields_compare);
if tf
    fprintf ('Comparing est.DWT -- No differences were found')
else
    fid = fopen (filename);
    fprintf ('%s', fread (fid));
    fclose (fid);
end

% Compare mincoef only in leaders because it's different in coefs
%fields_compare = [fields_compare {'mincoef'}];

fprintf ('============================================================\n')
[tf, filename] = compare_structs ('est.LWT', est.LWT, ...
                                  'reference.mf_obj.est.LWT', reference.mf_obj.est.LWT, ...
                                  11, fields_compare);
if tf
    fprintf ('Comparing est.LWT -- No differences were found')
else
    fid = fopen (filename);
    fprintf ('%s', fread (fid));
    fclose (fid);
end


