%- Test for MF_BS_tool_singul.
% 
% Test the values of logstat and est that were computed with a canonical version
% and stored.
%
% RFL, January 2016


%===============================================================================
% PATH TO VERSION THAT WILL BE TESTED
%====================================
addpath /Users/roberto/Dropbox/postdoc/PLBMF_tool_singul_git
pathMF_BS_tool_singul

%===============================================================================
% Test for p-exponent, p = \infty

% Load reference data
reference = load ('test_mrw_p0.mat');

% Setup new version of toolbox
mf_obj         = MF_BS_tool_inter;
mf_obj.j1      = 3;
mf_obj.j2      = 12;
mf_obj.cum     = 3;
mf_obj.q       = -5 : 0.1 : 5;
mf_obj.p      = 0;
mf_obj.fig_num = 100;

mf_obj.analyze (reference.data);

% Make tests:
result = true;
tf = compare_structs ('estp0', mf_obj.est, 'ref.estp0', reference.mf_obj.est);
result = result & tf;
tf = compare_structs ('logstatp0', mf_obj.logstat, 'ref.logstatp0', reference.mf_obj.logstat);
result = result & tf;

if result
    fprintf ('No differences were found\n')
end

%===============================================================================

%===============================================================================
% Test for p-exponent, p = 2

% Load reference data
reference = load ('test_mrw_p2.mat');

% Setup new version of toolbox
mf_obj         = MF_BS_tool_inter;
mf_obj.j1      = 3;
mf_obj.j2      = 12;
mf_obj.cum     = 3;
mf_obj.q       = -5 : 0.1 : 5;
mf_obj.p      = 2;
mf_obj.fig_num = 100;

mf_obj.analyze (reference.data);

% Make tests:
result = true;
tf = compare_structs ('estp0', mf_obj.est, 'ref.estp0', reference.mf_obj.est);
result = result & tf;
tf = compare_structs ('logstatp0', mf_obj.logstat, 'ref.logstatp0', reference.mf_obj.logstat);
result = result & tf;

if result
    fprintf ('No differences were found\n')
end

%===============================================================================