%- Test for MFA_BS_compute_structure_functions
%
% Test the values of logstat.
%
% RFL, February 2016


%===============================================================================
% PATH TO VERSION THAT WILL BE TESTED
%====================================
addpath /Users/roberto/Dropbox/postdoc/PLBMF_tool_singul_git
pathMF_BS_tool_singul

fields_compare = {'est', 'supcoef', 'p0', 'scale'};

%===============================================================================
% Test for p-exponent, p = \infty

% Load reference data
reference = load ('test_cpc2d_p0.mat');

param_est.nwt = reference.mf_obj.nwt;
param_est.sym    = reference.mf_obj.sym;
param_est.j1_ini   = reference.mf_obj.j1_ini;
param_est.gamint = reference.mf_obj.gamint;
param_est.delta_gam   = reference.mf_obj.delta_gam;
param_est.delta_p = reference.mf_obj.delta_p;
param_est.type_exponent   = reference.mf_obj.type_exponent;
param_est.j1     = reference.mf_obj.j1;
param_est.j2     = reference.mf_obj.j2;
param_est.wtype  = reference.mf_obj.wtype;
param_est.estimate_select    = reference.mf_obj.estimate_select;
param_est.cum    = reference.mf_obj.cum;
param_est.q      = reference.mf_obj.q;
param_est.p     = reference.mf_obj.p;
param_est.plead_corr    = reference.mf_obj.plead_corr;
param_est.P0est.q0=1e-2;
param_est.P0est.q1=1e2;
param_est.P0est.NR=10;

[coef, leader] = DxPx2d (reference.data, param_est);

logstat.DWT = MFA_BS_compute_logstat (coef, param_est);
logstat.LWT = MFA_BS_compute_logstat (leader, param_est);

% Adapt names
reference.mf_obj.logstat.DWT.p0 = reference.mf_obj.logstat.DWT.P0;
reference.mf_obj.logstat.LWT.p0 = reference.mf_obj.logstat.LWT.P0;

fprintf ('============================================================\n')
[tf, filename] = compare_structs ('logstat.DWT', logstat.DWT, ...
                                  'reference.mf_obj.logstat.DWT', reference.mf_obj.logstat.DWT, ...
                                  11, fields_compare);
if tf
    fprintf ('Comparing logstat.DWT -- No differences were found')
else
    fid = fopen (filename);
    fprintf ('%s', fread (fid));
    fclose (fid);
end

% Compare mincoef only in leaders because it's different in coefs
fields_compare = [fields_compare {'mincoef'}];

fprintf ('============================================================\n')
[tf, filename] = compare_structs ('logstat.LWT', logstat.LWT, ...
                                  'reference.mf_obj.logstat.LWT', reference.mf_obj.logstat.LWT, ...
                                  11, fields_compare);
if tf
    fprintf ('Comparing logstat.LWT -- No differences were found')
else
    fid = fopen (filename);
    fprintf ('%s', fread (fid));
    fclose (fid);
end


% Differences in supocoef with leaders are due to probable bug in old code.
% reference.mf_obj.logstat.LWT.supcoef is actually the one computed from coefficients.
% If supcoef is computed manually from leaders we get the exact same results:
%--
% oldpath = path;
% addpath /Users/roberto/Documents/PLBMF_git_back_jan_2016/core
% [coef_old,lead_old] = DxPx1d_nl(reference.data, param_est);
% for j = 1 : length (lead_old)
%     supcoef_lead_old(j) = max (lead_old(j).value);
% end
% if isequal (supcoef_lead_old, logstat.LWT.supcoef)
%     fprintf ('supcoef_lead_old and logstat.LWT.supcoef are THE SAME\n')
% else
%     fprintf ('supcoef_lead_old and logstat.LWT.supcoef are DIFFERENT!!!!!\n')
% end
% path (path);
%--